Get order by reference for an app

Get a single order by reference with full product and variant data. Authenticated via service token.

GET/api/v1/{app_id}/lookup/orders/reference/{reference}
API
Auth
OpenAPI
auth-api
Updated
Apr 26, 2026

auth-api:GET:/api/v1/{app_id}/lookup/orders/reference/{reference}

Get a single order by reference with full product and variant data. Authenticated via service token.

API ownership

  • API family: Auth API
  • Best for: Customer identity, session, token, cart, and wishlist flows.
  • Do not use from: Merchant admin data syncs or public catalog rendering.
  • Guide route: /apis/auth/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{app_id\}/lookup/orders/reference/\{reference\}
  • Summary: Get order by reference for an app
  • Description: Get a single order by reference with full product and variant data. Authenticated via service token.
  • OpenAPI contract: auth-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters2 parameters
NameInRequiredTypeDescription
app_idpathYesstringUUID of the app
referencepathYesstringOrder reference
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses4 statuses
StatusDescriptionContent
200OKapplication/json (object)
400Invalid requestapplication/json (object)
404Order not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Order

PropertyTypeRequiredDetails
app_idstringNo-
billing_addressstringNo-
bonus_totalnumberNo-
country_codestringNo-
created_atstringNo-
currency_codestringNo-
discount_totalnumberNo-
gift_card_totalnumberNo-
grand_totalnumberNo-
idstringNo-
language_codestringNo-
linesobject[]No-
merchant_user_idstringNo-
payment_methodstringNo-
payment_method_idstringNo-
payment_method_namestringNo-
referencestringNo-
session_idstringNo-
shipping_addressstringNo-
shipping_methodsstring[]No-
shipping_totalnumberNo-
sourcestringNo-
statusstringNo-
sub_totalnumberNo-
tax_totalnumberNo-
updated_atstringNo-
Order Line
PropertyTypeRequiredDetails
base_price_amountnumberNo-
created_atstringNo-
currency_codestringNo-
idstringNo-
order_idstringNo-
productobjectNo-
product_idstringNo-
quantitynumberNo-
tax_group_idstringNo-
total_discount_amountnumberNo-
total_price_amountnumberNo-
total_sale_pricenumberNo-
total_tax_amountnumberNo-
updated_atstringNo-
variantobjectNo-
variant_idstringNo-
Product
PropertyTypeRequiredDetails
brandobjectNo-
created_atstringNo-
customobjectNo-
descriptionstringNo-
html_descriptionstringNo-
html_short_descriptionstringNo-
idstringNo-
imagesobject[]No-
product_namestringNo-
product_numberstringNo-
short_descriptionstringNo-
slugstringNo-
statusstringNo-
translations_descriptionobjectNo-
translations_html_descriptionobjectNo-
translations_html_short_descriptionobjectNo-
translations_product_nameobjectNo-
translations_short_descriptionobjectNo-
translations_slugobjectNo-
updated_atstringNo-
variantsobject[]No-
Variant
PropertyTypeRequiredDetails
created_atstringNo-
idstringNo-
imagesobject[]No-
pricesobject[]No-
product_idstringNo-
statusstringNo-
translations_nameobjectNo-
updated_atstringNo-
validate_stockbooleanNo-
variant_namestringNo-
variant_numberstringNo-
{
  "app_id": "string",
  "billing_address": "string",
  "bonus_total": 0,
  "country_code": "string",
  "created_at": "string",
  "currency_code": "string",
  "discount_total": 0,
  "gift_card_total": 0,
  "grand_total": 0,
  "id": "string",
  "language_code": "string",
  "lines": [
    {
      "base_price_amount": 0,
      "created_at": "string",
      "currency_code": "string",
      "id": "string",
      "order_id": "string",
      "product": {
        "brand": {
          "id": null,
          "name": null,
          "slug": null,
          "variant": null
        },
        "created_at": "string",
        "custom": {},
        "description": "string",
        "html_description": "string",
        "html_short_description": "string",
        "id": "string",
        "images": [],
        "product_name": "string",
        "product_number": "string",
        "short_description": "string",
        "slug": "string",
        "status": "string",
        "translations_description": {},
        "translations_html_description": {},
        "translations_html_short_description": {},
        "translations_product_name": {},
        "translations_short_description": {},
        "translations_slug": {},
        "updated_at": "string",
        "variants": []
      },
      "product_id": "string",
      "quantity": 0,
      "tax_group_id": "string",
      "total_discount_amount": 0,
      "total_price_amount": 0,
      "total_sale_price": 0,
      "total_tax_amount": 0,
      "updated_at": "string",
      "variant": {
        "created_at": "string",
        "id": "string",
        "images": [],
        "prices": [],
        "product_id": "string",
        "status": "string",
        "translations_name": {},
        "updated_at": "string",
        "validate_stock": false,
        "variant_name": "string",
        "variant_number": "string"
      },
      "variant_id": "string"
    }
  ],
  "merchant_user_id": "string",
  "payment_method": "string",
  "payment_method_id": "string",
  "payment_method_name": "string",
  "reference": "string",
  "session_id": "string",
  "shipping_address": "string",
  "shipping_methods": [
    "string"
  ],
  "shipping_total": 0,
  "source": "string",
  "status": "string",
  "sub_total": 0,
  "tax_total": 0,
  "updated_at": "string"
}

400 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

404 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Auth API
  • Method: GET
  • Path: /api/v1/\{app_id\}/lookup/orders/reference/\{reference\}
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Orders
  • OpenAPI summary: Get order by reference for an app

Get order by reference for an app

# Get order by reference for an app Get a single order by reference with full product and variant data. Authenticated via service token.
GET /api/v1/{app_id}/lookup/orders/reference/{reference}
Purpose

Get a single order by reference with full product and variant data.

Required inputs

app_id path reference path

Primary response

200 ยท OK

Operation key

auth-api:GET:/api/v1/{app_id}/lookup/orders/reference/{reference}

## API ownership - API family: Auth API - Best for: Customer identity, session, token, cart, and wishlist flows. - Do not use from: Merchant admin data syncs or public catalog rendering. - Guide route: [/apis/auth/latest](/apis/auth/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{app_id}/lookup/orders/reference/{reference}` - Summary: Get order by reference for an app - Description: Get a single order by reference with full product and variant data. Authenticated via service token. - OpenAPI contract: auth-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:GET:/api/v1/{app_id}/lookup/orders/reference/{reference}` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | UUID of the app | | reference | path | Yes | string | Order reference | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | OK | application/json (object) | | 400 | Invalid request | application/json (object) | | 404 | Order not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Order | Property | Type | Required | Details | | --- | --- | --- | --- | | `app_id` | string | No | - | | `billing_address` | string | No | - | | `bonus_total` | number | No | - | | `country_code` | string | No | - | | `created_at` | string | No | - | | `currency_code` | string | No | - | | `discount_total` | number | No | - | | `gift_card_total` | number | No | - | | `grand_total` | number | No | - | | `id` | string | No | - | | `language_code` | string | No | - | | `lines` | object[] | No | - | | `merchant_user_id` | string | No | - | | `payment_method` | string | No | - | | `payment_method_id` | string | No | - | | `payment_method_name` | string | No | - | | `reference` | string | No | - | | `session_id` | string | No | - | | `shipping_address` | string | No | - | | `shipping_methods` | string[] | No | - | | `shipping_total` | number | No | - | | `source` | string | No | - | | `status` | string | No | - | | `sub_total` | number | No | - | | `tax_total` | number | No | - | | `updated_at` | string | No | - | ##### Order Line | Property | Type | Required | Details | | --- | --- | --- | --- | | `base_price_amount` | number | No | - | | `created_at` | string | No | - | | `currency_code` | string | No | - | | `id` | string | No | - | | `order_id` | string | No | - | | `product` | object | No | - | | `product_id` | string | No | - | | `quantity` | number | No | - | | `tax_group_id` | string | No | - | | `total_discount_amount` | number | No | - | | `total_price_amount` | number | No | - | | `total_sale_price` | number | No | - | | `total_tax_amount` | number | No | - | | `updated_at` | string | No | - | | `variant` | object | No | - | | `variant_id` | string | No | - | ##### Product | Property | Type | Required | Details | | --- | --- | --- | --- | | `brand` | object | No | - | | `created_at` | string | No | - | | `custom` | object | No | - | | `description` | string | No | - | | `html_description` | string | No | - | | `html_short_description` | string | No | - | | `id` | string | No | - | | `images` | object[] | No | - | | `product_name` | string | No | - | | `product_number` | string | No | - | | `short_description` | string | No | - | | `slug` | string | No | - | | `status` | string | No | - | | `translations_description` | object | No | - | | `translations_html_description` | object | No | - | | `translations_html_short_description` | object | No | - | | `translations_product_name` | object | No | - | | `translations_short_description` | object | No | - | | `translations_slug` | object | No | - | | `updated_at` | string | No | - | | `variants` | object[] | No | - | ##### Variant | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `id` | string | No | - | | `images` | object[] | No | - | | `prices` | object[] | No | - | | `product_id` | string | No | - | | `status` | string | No | - | | `translations_name` | object | No | - | | `updated_at` | string | No | - | | `validate_stock` | boolean | No | - | | `variant_name` | string | No | - | | `variant_number` | string | No | - |
Generated example (synthetic) ```json { "app_id": "string", "billing_address": "string", "bonus_total": 0, "country_code": "string", "created_at": "string", "currency_code": "string", "discount_total": 0, "gift_card_total": 0, "grand_total": 0, "id": "string", "language_code": "string", "lines": [ { "base_price_amount": 0, "created_at": "string", "currency_code": "string", "id": "string", "order_id": "string", "product": { "brand": { "id": null, "name": null, "slug": null, "variant": null }, "created_at": "string", "custom": {}, "description": "string", "html_description": "string", "html_short_description": "string", "id": "string", "images": [], "product_name": "string", "product_number": "string", "short_description": "string", "slug": "string", "status": "string", "translations_description": {}, "translations_html_description": {}, "translations_html_short_description": {}, "translations_product_name": {}, "translations_short_description": {}, "translations_slug": {}, "updated_at": "string", "variants": [] }, "product_id": "string", "quantity": 0, "tax_group_id": "string", "total_discount_amount": 0, "total_price_amount": 0, "total_sale_price": 0, "total_tax_amount": 0, "updated_at": "string", "variant": { "created_at": "string", "id": "string", "images": [], "prices": [], "product_id": "string", "status": "string", "translations_name": {}, "updated_at": "string", "validate_stock": false, "variant_name": "string", "variant_number": "string" }, "variant_id": "string" } ], "merchant_user_id": "string", "payment_method": "string", "payment_method_id": "string", "payment_method_name": "string", "reference": "string", "session_id": "string", "shipping_address": "string", "shipping_methods": [ "string" ], "shipping_total": 0, "source": "string", "status": "string", "sub_total": 0, "tax_total": 0, "updated_at": "string" } ```
### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 404 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Auth API - Method: `GET` - Path: `/api/v1/{app_id}/lookup/orders/reference/{reference}` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:GET:/api/v1/{app_id}/lookup/orders/reference/{reference}` - OpenAPI tag: Orders - OpenAPI summary: Get order by reference for an app